// DFUDlg.h : header file
//

#if !defined(AFX_DFUDLG_H__889AA052_D0C8_41B7_8738_08D6620E213B__INCLUDED_)
#define AFX_DFUDLG_H__889AA052_D0C8_41B7_8738_08D6620E213B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDFUDlg dialog

class CDFUDlg : public CDialog
{
// Construction
public:
	BOOL RegisterNotification(void);
	BOOL QueryDfuRecord();
	DWORD ShowFileLastModifiedTime(CString & strFileName);
	BOOL m_bAutoReloadCode;
	CDFUDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDFUDlg)
	enum { IDD = IDD_DFU_DIALOG };
	CEdit	m_CtrlAddress;
	CEdit	m_CtrlVID;
	CEdit	m_CtrlPID;
	CHexEditBase	m_CtrlBinaryCodeBuffer;
	CString	m_strFileName;
	CString	m_strPID;
	CString	m_strVID;
	CString	m_strCheckSum;
	CString	m_strCodeSize;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDFUDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDFUDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonLoad();
	afx_msg void OnButtonUpdate();
	afx_msg void OnChkAutoReloadCode();
	afx_msg void OnActivate(UINT nState, CWnd * pWndOther, BOOL bMinimized);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DFUDLG_H__889AA052_D0C8_41B7_8738_08D6620E213B__INCLUDED_)
